Name:          cas-client
Version:       3.2.1
Release:       2%{?dist}
Summary:       Jasig CAS Client for Java
Group:         Development/Libraries
License:       ASL 2.0 and BSD
Url:           http://www.jasig.org/cas
Source0:       http://downloads.jasig.org/cas-clients/%{name}-%{version}-release.tar.gz
# cas-client package don't include the license file
# from http://www.jasig.org/cas/license
Source1:       %{name}-LICENSE.txt
Source2:       http://www.apache.org/licenses/LICENSE-2.0.txt

Patch0:        %{name}-%{version}-integration-tomcat-v7-unreported-exception.patch
Patch1:        %{name}-%{version}-opensaml2.patch

BuildRequires: java-devel

BuildRequires: apache-commons-codec
BuildRequires: ehcache-core
BuildRequires: joda-time
BuildRequires: opensaml-java
BuildRequires: opensaml-java-openws
BuildRequires: opensaml-java-parent
BuildRequires: opensaml-java-xmltooling
BuildRequires: springframework-beans
# https://bugzilla.redhat.com/show_bug.cgi?id=882474
BuildRequires: spymemcached
BuildRequires: tomcat-lib
BuildRequires: tomcat-servlet-3.0-api
BuildRequires: xml-security

# test deps
BuildRequires: apache-commons-logging
BuildRequires: junit
BuildRequires: log4j
BuildRequires: slf4j
# org.springframework:spring-test
BuildRequires: springframework
BuildRequires: springframework-context

BuildRequires: maven-local
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      apache-commons-codec
Requires:      ehcache-core
Requires:      joda-time
Requires:      opensaml-java
Requires:      opensaml-java-openws
Requires:      opensaml-java-xmltooling
Requires:      springframework-beans
Requires:      spymemcached
Requires:      tomcat-lib
Requires:      tomcat-servlet-3.0-api
Requires:      xml-security

Requires:      java
BuildArch:     noarch

%description
Jasig CAS Client for Java is the integration point for applications that
want to speak with a CAS server, either via the CAS 1.0 or CAS 2.0 protocol.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
rm -r modules/*

%patch0 -p0
%patch1 -p1

find . -name "*.class" -delete
find . -name "*.jar" -delete
%pom_remove_parent

%pom_remove_plugin :maven-assembly-plugin
# require 
# com.atlassian.seraph atlassian-seraph 2.4.0
# com.atlassian.osuser atlassian-osuser 1.1.2
# com.atlassian.confluence confluence 3.4.4
%pom_disable_module cas-client-integration-atlassian
# require org.jboss.jbossas jboss-as-tomcat 5.1.0.GA
%pom_disable_module cas-client-integration-jboss
%pom_disable_module cas-client-integration-tomcat-v6

%pom_remove_dep xml-security:xmlsec cas-client-core
%pom_add_dep org.apache.santuario:xmlsec:any:runtime cas-client-core

%pom_add_dep org.slf4j:slf4j-nop:any:test cas-client-support-distributed-ehcache

%pom_remove_dep org.springframework:spring-test cas-client-core
rm -r cas-client-core/src/test/java/org/jasig/cas/client/session/SingleSignoutHandlerTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/util/CasFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/util/CommonUtilsTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/authentication/AuthenticationFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyReceivingTicketValidationFilterTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/util/HttpServletRequestWrapperFilterTests.java
# this test fails
rm -r cas-client-support-distributed-ehcache/src/test/java/EhCacheBackedProxyGrantingTicketStorageImplTests.java
rm -r cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas10TicketValidatorTests.java \
  cas-client-core/src/test/java/org/jasig/cas/client/validation/Cas20ProxyTicketValidatorTests.java


cp -p %{SOURCE1} LICENSE.txt
cp -p %{SOURCE2} .
sed -i 's/\r//' LICENSE.txt LICENSE-2.0.txt

%build

mvn-rpmbuild -Dproject.build.sourceEncoding=UTF-8 package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}.pom
%add_maven_depmap JPP.%{name}-%{name}.pom

mkdir -p %{buildroot}%{_javadir}/%{name}

for m in core \
  integration-tomcat-common \
  integration-tomcat-v7 \
  support-distributed-ehcache \
  support-distributed-memcached; do
  install -m 644 %{name}-${m}/target/%{name}-${m}-%{version}.jar %{buildroot}%{_javadir}/%{name}/%{name}-${m}.jar
  install -pm 644 %{name}-${m}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-${m}.pom
%add_maven_depmap JPP.%{name}-%{name}-${m}.pom %{name}/%{name}-${m}.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_mavenpomdir}/JPP.%{name}-*.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt LICENSE-2.0.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt LICENSE-2.0.txt

%changelog
* Sun May 12 2013 gil cattaneo <puntogil@libero.it> 3.2.1-2
- disable tomcat6 module
- adapt to current guideline

* Fri Nov 16 2012 gil cattaneo <puntogil@libero.it> 3.2.1-1
- initial rpm